#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,96,144,192,240,384,432,480,528,1104
 * N : 25,96,144,192,240,384,432,480,528,1104
 * NB : 2,24,24,48,48,24,24,48,72,48
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 60) (nb_) = 2; \
   else if ((n_) < 168) (nb_) = 24; \
   else if ((n_) < 312) (nb_) = 48; \
   else if ((n_) < 456) (nb_) = 24; \
   else if ((n_) < 504) (nb_) = 48; \
   else if ((n_) < 816) (nb_) = 72; \
   else (nb_) = 48; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
